<?php $__env->startSection('headers'); ?>
<script src="https://cdn.jsdelivr.net/npm/litepicker/dist/litepicker.js"></script>
<style>
    td
    {
        text-align:center;
        max-width:150px;
        overflow:hidden;
    }
</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!-- Page Heading -->
<header class="bg-white shadow">
    <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            Entradas.
        </h2>
    </div>
</header>

<!-- Page Content -->

<div class="py-12">
<div class="max-w-9xl mx-auto sm:px-6 lg:px-8">
<div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
<div class="p-6 bg-white border-b border-gray-200">

        <h5 class="separtor">Filtros:</h5>

        <form action="/int/entradas" method="get">
        <div class="row">
            <div class="col-lg-2 controlDiv" >
                <label class="form-label">Cliente:</label>
                <select class="form-select" id = "txtCliente" name = "txtCliente">
                <option value=0 selected></option>
                <?php $__currentLoopData = $clientes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $clienteOp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($clienteOp->id); ?>" <?php if( $cliente == $clienteOp->id): ?> selected <?php endif; ?> ><?php echo e($clienteOp->name); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="col-lg-3 controlDiv" >
                <label class="form-label">Rango:</label>
                <input class="form-select" type="text" name="txtRango" id="txtRango" value="<?php echo e($rango); ?>"/>
            </div>

            
            <div class="col-lg-2 controlDiv" style="">
                <label class="form-label">Tracking:</label>
                <input type="text" class="form-control" id="txtTracking" name="txtTracking" value="<?php echo e($tracking); ?>" placeholder="Tracking">       
            </div>

            <div class="col-lg-2 controlDiv" >
                <label class="form-label">Status</label>
                <select class="form-select" id = "txtStatus" name = "txtStatus">
                    <option value="todo" <?php if( $en_inventario == 'todo'): ?> selected <?php endif; ?>>Todo</option>
                    <option value="Revision Pendiente" <?php if( $en_inventario == 'Revision Pendiente'): ?> selected <?php endif; ?>>Revision Pendiente</option>
                    <option value="en inventario" <?php if( $en_inventario == 'en inventario'): ?> selected <?php endif; ?>>En inventario</option>
                    <option value="cerrada" <?php if( $en_inventario == 'cerrada'): ?> selected <?php endif; ?>>Cerradas</option>
                </select>
            </div>


            <div class="col-lg-1 controlDiv" style="position:relative;top:30px;">
                <button type="submit" class="btn btn-primary">Buscar</button>     
            </div>
            <div class="col-lg-1 controlDiv" style="position:relative;top:30px;">
                <button type="button" class="btn btn-success" onclick="descargarXLS()">Descargar <i class="far fa-file-excel"></i></button>     
            </div>
        </div>
            
        </form>

        <h5 class="separtor">Lista:</h5>

        
        <div class="row">
            <div class="col-lg-10">
            </div>
            <div class="col-lg-2">
                <input type="text" class="form-control" id="txtQuickSearch" placeholder="Busca rapida">       
            </div>
        </div>
        <br>

        <!-- como esta pantalla no contiene formularios debemos agregar uno para tener un token csrf-->
        <form method="DELETE">
        <?php echo csrf_field(); ?>
        </form>
        <table class="table table-sm table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th scope="col">Entrada #</th>
                    <th scope="col">Fecha</th>
                    <th scope="col">Dias</th>
                    <th scope="col">Cliente</th>
                    <th scope="col">Proveedor</th>
                    <th scope="col">PO</th>
                    <th scope="col">Tracking</th>
                    <th scope="col">Bultos</th>
                    <th scope="col">Materia/Equipo</th>
                    <th scope="col"><input type="checkbox" class="form-check-input" id="chkEnviada" onclick="filtrarEnviadas()"> Enviada</th>
                    <th scope="col"><input type="checkbox" class="form-check-input" id="chkRevisada" onclick="filtrarRevisadas()"> Revisada</th>
                    <th scope="col"><input type="checkbox" class="form-check-input" id="chkUrgente" onclick="filtrarUrgentes()"> Urgente</th>
                    <th scope="col"><input type="checkbox" class="form-check-input" id="chkOnhold" onclick="filtrarOnhold()"> On-hold</th>
                    <th scope="col">Balance</th>
                    <th scope="col">Folder</th>
                    <th scope="col" style="display:none">adjuntos</th>
                    <th scope="col">Ocultar</th>
                    <?php if($can_delete): ?> <th scope="col">Eliminar</th> <?php endif; ?>
                </tr>
            </thead>
            <tbody id="tbl_Incomes">
                <?php $__currentLoopData = $incomes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $income): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr id="inc_row_<?php echo e($income->id); ?>" class="tr_tbl <?php if( $income->get_color_fila_estado() != ''): ?> table-<?php echo e($income->get_color_fila_estado()); ?> <?php endif; ?> ">
                    <td><a href="/int/entradas/<?php echo e($income->getIncomeNumber()); ?>"><?php echo e($income->getIncomeNumber()); ?></a></td>
                    <td><?php echo e(date_format(date_create(explode(" ", $income->cdate)[0]),"m/d/y")); ?></td>
                    <td><?php echo e($income->getDiasTrascurridos()); ?></td>
                    <td><?php echo e($income->customer->name); ?></td>
                    <td><?php echo e($income->supplier->name); ?></td>
                    <td><?php echo e($income->po); ?></td>
                    <td><?php echo e($income->tracking); ?></td>
                    <td><?php echo e($income->getBultosOriginales()); ?> <?php echo e($income->getTipoBultos()); ?></td>
                    <td><?php echo e($income->type); ?></td>
                    <td id="tdEnviada_<?php echo e($income->id); ?>"><?php if($income->sent): ?> <i class="fas fa-check-square" style="color:green"></i> <?php endif; ?></td>
                    <td id="tdRevisada_<?php echo e($income->id); ?>"><?php if($income->reviewed): ?> <i class="fas fa-check-square" style="color:green"></i> <?php endif; ?></td>
                    <td id="tdUrgente_<?php echo e($income->id); ?>"><?php if($income->urgent): ?> <i class="fas fa-check-square" style="color:red"></i> <?php endif; ?></td>
                    <td id="tdOnhold_<?php echo e($income->id); ?>"><?php if($income->onhold): ?> <i class="fas fa-check-square" style="color:green"></i> <?php endif; ?></td>
                    <td><a class="btn " href="/int/balance?entrada=<?php echo e($income->getIncomeNumber()); ?>"><i class="fas fa-balance-scale"></i></a></td>
                    <td id="adjuntos_btn_<?php echo e($income->id); ?>"><button type="button" class="btn btn-light" onclick="showAdjuntos('adjuntos_income_<?php echo e($income->id); ?>')"><i class="far fa-folder-open"></i></button></td>
                    <td id="adjuntos_income_<?php echo e($income->id); ?>" class="td_adjuntos" style="display:none">
                        <?php
                        $packinglist_path='/public/entradas/'.$income->getIncomeNumber().'/packing_list/packing-list.pdf';
                        if (Storage::exists($packinglist_path)) 
                        {
                            echo "<br>";
                            echo "<div class='img_card col-lg-12' style='padding:10px'>";
                            echo "    <div class='img_card_top'>";
                            echo "        <h6><b>Packing list</b></h6>"; 
                            echo "    </div>";
                            echo "    <p><a href='/download_pakinglist/".$income->getIncomeNumber()."'><i class='fas fa-arrow-circle-down'></i></a><strong>Tamaño: </strong> ". round(Storage::size($packinglist_path)/1000000,2,PHP_ROUND_HALF_UP ) ." Mb</p>";
                            echo "</div>";
                        }
                        $income_imgs_paths='public/entradas/'.$income->getIncomeNumber().'/images/';
                        $income_imgs = Storage::files($income_imgs_paths);
                        echo "<br>";

                        foreach ($income_imgs as $income_img) 
                        {
                            $img_file_name_array=explode('/',$income_img);

                            $img_file_name=$img_file_name_array[count($img_file_name_array)-1];
                            $img_file_url='storage/entradas/'.$income->getIncomeNumber().'/images/'.$img_file_name;

                            echo "<div class='img_card col-lg-5' >";
                            echo "    <div class='img_card_top'>";
                            echo "        <h6><b>".$img_file_name."</b></h6>"; 
                            echo "    </div>";
                            echo "    <img src_aux='".asset($img_file_url)."'>";
                            echo "</div>";
                        }
                        ?>
                    </td>

                    <?php if($income->hidden): ?> 
                        <?php if($can_hide): ?> 
                            <td><button onclick="revelarEntrada(<?php echo e($income->id); ?>,'<?php echo e($income->getIncomeNumber()); ?>')">Oculta, Mostrar <i class="far fa-eye"></i></button></td> 
                        <?php else: ?>
                            <td>Oculta <i class="fas fa-eye-slash"></i></td> 
                        <?php endif; ?>
                    <?php else: ?>
                        <?php if($can_hide): ?> 
                            <td><button onclick="ocultarEntrada(<?php echo e($income->id); ?>,'<?php echo e($income->getIncomeNumber()); ?>')">Visible, Ocultar <i class="fas fa-eye-slash"></i></button></td>
                        <?php else: ?>
                            <td>visible <i class="far fa-eye"></i></td> 
                        <?php endif; ?>
                    <?php endif; ?>

                    <?php if($can_delete): ?> <td><button onclick="eliminarEntrada(<?php echo e($income->id); ?>,'<?php echo e($income->getIncomeNumber()); ?>')"><i class="fas fa-times" style="color:red"></i></button></td> <?php endif; ?>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
</div>
</div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script>

function eliminarEntrada(id,num_entrada)
{
    if(!confirm("¿Desea eliminar la entrada '"+num_entrada+"'?"))
    {
        return;
    }
    $.ajax({url: "/int/entradas/"+id+"/delete",context: document.body}).done(function(result) 
        {
            if(result != "")
            {
                showModal("Notificación",result);
            }
            else
            {
                showModal("Notificación","Entrada '" + num_entrada + "' eliminada");
                $("#inc_row_"+id).remove();
            }
            
        });
}
function ocultarEntrada(id,num_entrada)
{
    if(!confirm("¿Desea ocultar la entrada '"+num_entrada+"' para el cliente?"))
    {
        return;
    }
    $.ajax({url: "/int/entradas/"+id+"/hide",context: document.body}).done(function(result) 
        {
            if(result != "")
            {
                showModal("Notificación",result);
            }
            else
            {
                showModal("Notificación","Entrada '" + num_entrada + "' oculta para el cliente");
                location.href = "/int/entradas/";
            }
            
        });
}
function revelarEntrada(id,num_entrada)
{
    if(!confirm("¿Desea revelar la entrada '"+num_entrada+"' para el cliente?"))
    {
        return;
    }
    $.ajax({url: "/int/entradas/"+id+"/unhide",context: document.body}).done(function(result) 
        {
            if(result != "")
            {
                showModal("Notificación",result);
            }
            else
            {
                showModal("Notificación","Entrada '" + num_entrada + "' visible para el cliente");
                location.href = "/int/entradas/";
            }
            
        });
}



function descargarXLS()
{
    let path = "/int/entradas_xls?txtCliente="+$("#txtCliente").val()+"&txtRango="+$("#txtRango").val()+"&txtTracking="+$("#txtTracking").val()+"&txtStatus="+$("#txtStatus").val();
    // if($('#chkInventario').prop('checked'))
    // {
    //     path += "&chkInventario=true";
    // }
    location.href = path;   
}

function showAdjuntos(content_row)
{
    var html = $("#"+content_row).html();   
    showModal("Adjuntos",html.replace(/src_aux/g, "src"));
}

function filtrarEnviadas()
{
    $(".tr_tbl").each(function()
        {
            $(this).show();
        });

    $('#chkRevisada').prop('checked', false);
    $('#chkUrgente').prop('checked', false);
    $('#chkOnhold').prop('checked', false);

    if($('#chkEnviada').prop('checked'))
    {        

        $(".tr_tbl").each(function()
        {
            var index = $(this).attr('id').split("_")[2];
            if( $("#tdEnviada_"+index).html() == "")
            {
                $("#inc_row_"+index).hide();
            }
        });
    }
}



function showFolderIcon()
{
    $(".td_adjuntos").each(function()
        {
            if($(this).html().trim() == "<br>")
            {
                var id = $(this).attr('id').split("_")[2];
                $("#adjuntos_btn_"+id).html("");
            }
        });
}

function filtrarRevisadas()
{
    $(".tr_tbl").each(function()
        {
            $(this).show();
        });

    $('#chkEnviada').prop('checked', false);
    $('#chkUrgente').prop('checked', false);
    $('#chkOnhold').prop('checked', false);

    if($('#chkRevisada').prop('checked'))
    {        
        $(".tr_tbl").each(function()
        {
            var index = $(this).attr('id').split("_")[2];
            if( $("#tdRevisada_"+index).html() == "")
            {
                $("#inc_row_"+index).hide();
            }
        });
    }
}

function filtrarUrgentes()
{
    $(".tr_tbl").each(function()
        {
            $(this).show();
        });

    $('#chkEnviada').prop('checked', false);
    $('#chkRevisada').prop('checked', false);
    $('#chkOnhold').prop('checked', false);

    if($('#chkUrgente').prop('checked'))
    {        
        $(".tr_tbl").each(function()
        {
            var index = $(this).attr('id').split("_")[2];
            if( $("#tdUrgente_"+index).html() == "")
            {
                $("#inc_row_"+index).hide();
            }
        });
    }
}

function filtrarOnhold()
{
    $(".tr_tbl").each(function()
        {
            $(this).show();
        });

    $('#chkEnviada').prop('checked', false);
    $('#chkRevisada').prop('checked', false);
    $('#chkUrgente').prop('checked', false);

    if($('#chkOnhold').prop('checked'))
    {        
        $(".tr_tbl").each(function()
        {
            var index = $(this).attr('id').split("_")[2];
            if( $("#tdOnhold_"+index).html() == "")
            {
                $("#inc_row_"+index).hide();
            }
        });
    }
}

$(document).ready(function(){
  $("#txtQuickSearch").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#tbl_Incomes tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
  showFolderIcon();

  const picker = new Litepicker({ 
    element: document.getElementById('txtRango'),
    singleMode: false,
    format: 'MM/DD/YYYY',
    numberOfMonths: 2,
    numberOfColumns: 2,
    scrollToDate: false,
    
  });

  

});



</script>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.common', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/juanjacobo/Documents/GitHub/goDaddy/ecexv2/ecex-portal/resources/views/intern/entradas/index.blade.php ENDPATH**/ ?>