<?php $__env->startSection('headers'); ?>
<style>
    td
    {
        text-align:center;
    }
</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!-- Page Heading -->
<header class="bg-white shadow">
    <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            Salidas.
        </h2>
    </div>
</header>

<!-- Page Content -->

<div class="py-12">
<div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
<div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
<div class="p-6 bg-white border-b border-gray-200">

        <h5 class="separtor">Filtros:</h5>

        <form action="/ext/salidas" method="get">
        <div class="row">
            <div class="col-lg-2 controlDiv" >
                <label class="form-label">Rango:</label>
                <select class="form-select" id = "txtRango" name = "txtRango">
                    <option value="15" selected>15 días</option>
                    <option value="30" <?php if( $rango == 30): ?> selected <?php endif; ?> >30 días</option>
                    <option value="90" <?php if( $rango == 90): ?> selected <?php endif; ?> >90 días</option>
                    <option value="190" <?php if( $rango == 190): ?> selected <?php endif; ?> >6 meses</option>
                    <option value="365" <?php if( $rango == 365): ?> selected <?php endif; ?> >1 año</option>
                </select>
            </div>
            
            <div class="col-lg-2 controlDiv" style="">
                <label class="form-label">otros:</label>
                <input type="text" class="form-control" id="txtOtros" name="txtOtros" value="<?php echo e($otros); ?>" placeholder="Factura / Pedimento / Referencia">       
            </div>

            <div class="col-lg-2 controlDiv" style="position:relative;top:30px;">
                <button type="submit" class="btn btn-primary">Buscar</button>     
            </div>
            <div class="col-lg-2 controlDiv" style="position:relative;top:30px;">
                <button type="button" class="btn btn-success" onclick="descargarXLS()">Descargar <i class="far fa-file-excel"></i></button>     
            </div>
        </div>
            
        </form>

        <h5 class="separtor">Lista:</h5>

            <table class="table table-sm table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th scope="col">Salida #</th>
                    <th scope="col">Fecha</th>
                    <th scope="col">Cliente</th>
                    <th scope="col">Factura</th>
                    <th scope="col">Pedimento</th>
                    <th scope="col">Referencia</th>
                    <th scope="col">Bultos</th>
                    <th scope="col">Tipo-bulto</th>
                    <th scope="col">Folder</th>
                    <th scope="col">Archivo</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $outcomes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $outcome): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr id="otc_row_<?php echo e($outcome->id); ?>">
                    <td><a href="/ext/salidas/<?php echo e($outcome->id); ?>/download_pdf"><?php echo e($outcome->getOutcomeNumber(true)); ?></a></td>
                    <td><?php echo e(date_format(date_create(explode(" ", $outcome->cdate)[0]),"m/d/y")); ?></td>
                    <td><?php echo e($outcome->customer->name); ?></td>
                    <td><?php echo e($outcome->invoice); ?></td>
                    <td><?php echo e($outcome->pediment); ?></td>
                    <td><?php echo e($outcome->reference); ?></td>
                    <td><?php echo e($outcome->getBultos()); ?></td>
                    <td><?php echo e($outcome->getTipoBultos()); ?></td>
                    <td><button type="button" class="btn btn-light" onclick="showAdjuntos('adjuntos_outcome_<?php echo e($outcome->id); ?>')"><i class="far fa-folder-open"></i></button></td>
                    <td id="adjuntos_outcome_<?php echo e($outcome->id); ?>" style="display:none">
                        <?php
                        $packinglist_path='/public/salidas/'.$outcome->getOutcomeNumber(false).'/packing_list/';
                        if (Storage::exists($packinglist_path)) 
                        {
                            echo "<br>";
                            $packinglists = Storage::files($packinglist_path);
                            foreach ($packinglists as $packinglist) 
                            {
                                $pck_file_name_array=explode('/',$packinglist);
                                $pck_file_name=$pck_file_name_array[count($pck_file_name_array)-1];

                                echo "<div class='img_card col-lg-12' style='padding:10px'>";
                                echo "    <div class='img_card_top'>";
                                echo "        <h6><b>".$pck_file_name."</b></h6>"; 
                                echo "    </div>";
                                echo "    <p><a href='/download_pakinglist_outcome/".$outcome->getOutcomeNumber(false)."/".$pck_file_name."'><i class='fas fa-arrow-circle-down'></i></a><strong>Tamaño: </strong> ". round(Storage::size($packinglist)/1000000,2,PHP_ROUND_HALF_UP ) ." Mb</p>";
                                echo "</div>";
                            }
                        }
                        $outcome_imgs_paths='public/salidas/'.$outcome->getOutcomeNumber(false).'/images/';
                        $outcome_imgs = Storage::files($outcome_imgs_paths);
                        echo "<br>";

                        foreach ($outcome_imgs as $outcome_img) 
                        {
                            $img_file_name_array=explode('/',$outcome_img);

                            $img_file_name=$img_file_name_array[count($img_file_name_array)-1];
                            $img_file_url='storage/salidas/'.$outcome->getOutcomeNumber(false).'/images/'.$img_file_name;

                            echo "<div class='img_card col-lg-5' >";
                            echo "    <div class='img_card_top'>";
                            echo "        <h6><b>".$img_file_name."</b></h6>"; 
                            echo "    </div>";
                            echo "    <img src='".asset($img_file_url)."'>";
                            echo "</div>";
                        }
                        ?>
                    </td>
                    <td>
                        <button type="button" class="btn btn-light" onclick="showArchivos(<?php echo e($outcome->id); ?>)('adjuntos_outcome_<?php echo e($outcome->id); ?>')"><i class="fa-solid fa-folder-tree"></i></button>
                    </td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>

</div>
</div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script>

function descargarXLS()
{
    let path = "/ext/salidas_xls?txtRango="+$("#txtRango").val()+"&txtOtros="+$("#txtOtros").val();
    location.href = path;   
}

function showAdjuntos(content_row)
{
    var html = $("#"+content_row).html();   
    showModal("Adjuntos",html);
}

function showArchivos(outcome_id)
{
    location.href = "/ext/archivo/" + outcome_id;
}

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.common_customer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/juanjacobo/Documents/GitHub/goDaddy/ecexv2/ecex-portal/resources/views/customer/salidas/index.blade.php ENDPATH**/ ?>